<!DOCTYPE html>
<html lang="ja">
<head>
  <meta charset="UTF-8">
<title>テーブルの行をループで処理</title>
</head>

<body>
  <table>
    <thead>
      <tr>
        <td>数字i</td>
        <td>数字i+2</td>
      </tr>
    </thead>
    <tbody id="tbodyID">
      <script type="text/javascript">
        for (var i = 1; i <= 20; i++) {
          document.write("<tr><td>", i, "</td>");
          document.write("<td>", i,  "</td>");
            document.write("<td>", i,  "</td>");
            document.write("<td>", i,  "</td>");
            document.write("<td>", i,  "</td></tr>");
        }
      </script>
    </tbody>
  </table>
</body>
</html>